Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.engine
Class CircularSpatialMap

    java.lang.Object
      org.joone.engine.SpatialMap
          org.joone.engine.CircularSpatialMap

All Implemented Interfaces:
  java.io.Serializable

    public class CircularSpatialMap

extends SpatialMap

This class implements the SpatialMap interface providing a circular spatial map for use with the GaussianLayer and Kohonen Networks. The radius of the circle is equal to the initial Gaussian Size and is reduced if training is currently in process.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.joone.engine.SpatialMap
`TimeConstant`

Constructor Summary
`CircularSpatialMap()` Creates a new instance of CircularSpatialMap

Method Summary
`void` | `ApplyNeighborhoodFunction(double[] distances, double[] n_outs, boolean isLearning)` Applies the neighborhood strategy based on this spatial maps implementation.

Methods inherited from class org.joone.engine.SpatialMap
`distanceBetween, extractWinner, getCurrentGaussianSize, getInitialGaussianSize, getMapDepth, getMapHeight, getMapWidth, getOrderingPhase, getTimeConstant, getTotalEpochs, getWinnerX, getWinnerY, getWinnerZ, init, setCurrentGaussianSize, setInitialGaussianSize, setMapDepth, setMapDimensions, setMapHeight, setMapWidth, setOrderingPhase, setTimeConstant, updateCurrentGaussianSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CircularSpatialMap

    public CircularSpatialMap()

  Creates a new instance of CircularSpatialMap

Method Detail

### ApplyNeighborhoodFunction

    public void ApplyNeighborhoodFunction(double[] distances,
                                          double[] n_outs,
                                          boolean isLearning)

  Description copied from class: `SpatialMap`

  Applies the neighborhood strategy based on this spatial maps implementation.

  Specified by:
    `ApplyNeighborhoodFunction` in class `SpatialMap`
  Parameters:
    `distances` - The euclidean distances between input and weights calculated by previous synapse.
    `n_outs` - The outputs of this spatial maps neighborhood strategy.
    `isLearning` - Is the network in the learning phase.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net